CREATE TABLE hrc_console_fault_details_b (
    FAULT_DETAILS_ID         NUMBER(18, 0) ,
    SGUID                    VARCHAR2(128) ,
    MODULE_ID                VARCHAR2(128) ,
    ISSUE_TYPE_CODE          VARCHAR2(120) ,
    FAULT_CODE               VARCHAR2(400) ,
    ERROR_CODE               VARCHAR2(400) ,
    INTERNAL_CODE            VARCHAR2(400) ,
    ENTERPRISE_ID            NUMBER(18, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    FAULT_DETAILS_ID         NUMBER(18, 0) ,
    SGUID                    VARCHAR2(128) ,
    MODULE_ID                VARCHAR2(128) ,
    ISSUE_TYPE_CODE          VARCHAR2(120) ,
    FAULT_CODE               VARCHAR2(400) ,
    ENTERPRISE_ID            NUMBER(18, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ERROR_CODE               VARCHAR2(400) ,
    INTERNAL_CODE            VARCHAR2(400) ,
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_hrc_console_fault_details_b PRIMARY KEY (FAULT_DETAILS_ID, FAULT_DETAILS_ID)
);
